<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Otus.Teaching.Pcf.ReceivingFromPartner.Core\Otus.Teaching.Pcf.ReceivingFromPartner.Core.csproj" />
      <ProjectReference Include="..\Otus.Teaching.Pcf.ReceivingFromPartner.DataAccess\Otus.Teaching.Pcf.ReceivingFromPartner.DataAccess.csproj" />
      <ProjectReference Include="..\Otus.Teaching.Pcf.ReceivingFromPartner.Integration\Otus.Teaching.Pcf.ReceivingFromPartner.Integration.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="EFCore.NamingConventions" Version="8.0.3" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="8.0.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="8.0.4" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.2" />
      <PackageReference Include="NSwag.AspNetCore" Version="14.0.7" />
    </ItemGroup>

</Project>
